Last Comment Bug 707861 - Implement EXT_robustness in EGL (ANGLE)
: Implement EXT_robustness in EGL (ANGLE)
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Doug Sherk (:drs) (inactive)
:
:
Mentors:
Depends on: 656824 711592
Blocks: 707860 710163
  Show dependency treegraph
 
Reported: 2011-12-05 18:43 PST by Doug Sherk (:drs) (inactive)
Modified: 2011-12-16 13:20 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch v1.0, implement EXT_robustness for ANGLE. (17.70 KB, patch)
2011-12-05 23:41 PST, Doug Sherk (:drs) (inactive)
no flags Details | Diff | Splinter Review
Patch v1.0, implement EXT_robustness for ANGLE. (17.71 KB, patch)
2011-12-05 23:46 PST, Doug Sherk (:drs) (inactive)
jacob.benoit.1: review+
Details | Diff | Splinter Review

Description Doug Sherk (:drs) (inactive) 2011-12-05 18:43:50 PST
ANGLE recent versions have introduced an EXT_robustness extension which allows us to have some robustness functionality.

Link to specs:
http://code.google.com/p/angleproject/source/browse/trunk/extensions/EXT_robustness.txt
http://code.google.com/p/angleproject/source/browse/trunk/extensions/EGL_EXT_create_context_robustness.txt

This should be implemented and tied into our base robustness implementation, bug 656824.
Comment 1 Doug Sherk (:drs) (inactive) 2011-12-05 23:41:34 PST
Created attachment 579248 [details] [diff] [review]
Patch v1.0, implement EXT_robustness for ANGLE.

I ran into some issues with ANGLE when trying to implement this. I have filed 3 bugs with ANGLE:

http://code.google.com/p/angleproject/issues/detail?id=261
http://code.google.com/p/angleproject/issues/detail?id=262
http://code.google.com/p/angleproject/issues/detail?id=263

The patch itself works, but ANGLE gets locked up when it loses the context. ANGLE's issue 262 details this problem. The other two are problems but don't have big ramifications.
Comment 2 Doug Sherk (:drs) (inactive) 2011-12-05 23:46:04 PST
Created attachment 579249 [details] [diff] [review]
Patch v1.0, implement EXT_robustness for ANGLE.

Fixed indentation (only saw some stray tabs after I uploaded it because I wrote a lot of this in Visual Studio).

Try push:
https://tbpl.mozilla.org/?tree=Try&rev=9d5c38012f34
Comment 3 Doug Sherk (:drs) (inactive) 2011-12-14 20:17:28 PST
https://tbpl.mozilla.org/?rev=3404df37a347

Note You need to log in before you can comment on or make changes to this bug.